## org.eclipse.xsd
Interface XSDMaxFacet

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDConstrainingFacet, XSDFacet, XSDFixedFacet

All Known Subinterfaces:
  XSDMaxExclusiveFacet, XSDMaxInclusiveFacet

All Known Implementing Classes:
  XSDMaxExclusiveFacetImpl, XSDMaxFacetImpl, XSDMaxInclusiveFacetImpl

    public interface XSDMaxFacet

extends XSDFixedFacet

A representation of the model object 'Max Facet'. It represents aspects common to '`Max Exclusive Facet`' and '`Max Inclusive Facet`'.

The following features are supported:

- `Value`
- `Inclusive`
- `Exclusive`

See Also:
  `XSDPackage.getXSDMaxFacet()`

Method Summary
`java.lang.Object` `getValue()` Returns the value of the 'Value' attribute
`boolean` `isExclusive()` Returns the value of the 'Exclusive' attribute
`boolean` `isInclusive()` Returns the value of the 'Inclusive' attribute
`void` `setValue(java.lang.Object value)` Sets the value of the '`Value`' attribute

Methods inherited from interface org.eclipse.xsd.XSDFixedFacet
`isFixed, isSetFixed, setFixed, unsetFixed`

Methods inherited from interface org.eclipse.xsd.XSDConstrainingFacet
`isConstraintSatisfied`

Methods inherited from interface org.eclipse.xsd.XSDFacet
`getAnnotation, getEffectiveValue, getFacetName, getLexicalValue, getSimpleTypeDefinition, setAnnotation, setLexicalValue`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValue

    java.lang.Object getValue()

  Returns the value of the 'Value' attribute.

  This represents the maxExclusive value or maxInclusive value infoset property. It is computed from the '`Lexical Value`' attribute and should typically not be set directly.

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(Object)`, `XSDPackage.getXSDMaxFacet_Value()`

### setValue

    void setValue(java.lang.Object value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### isInclusive

    boolean isInclusive()

  Returns the value of the 'Inclusive' attribute.

  The value is `true` if this is a `XSDMaxInclusiveFacet`.

  Returns:
    the value of the 'Inclusive' attribute.
  See Also:
    `XSDPackage.getXSDMaxFacet_Inclusive()`

### isExclusive

    boolean isExclusive()

  Returns the value of the 'Exclusive' attribute.

  The value is `true` if this is a `XSDMaxExclusiveFacet`.

  Returns:
    the value of the 'Exclusive' attribute.
  See Also:
    `XSDPackage.getXSDMaxFacet_Exclusive()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.